package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.Const;
import org.apache.bcel.classfile.Attribute;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.Visitor;

public final class Deprecated extends Attribute {
  private byte[] bytes;
  
  public Deprecated(org.apache.bcel.classfile.Deprecated c) {
    this(c.getNameIndex(), c.getLength(), c.getBytes(), c.getConstantPool());
  }
  
  public Deprecated(int nameIndex, int length, byte[] bytes, ConstantPool constantPool) {
    super((byte)8, nameIndex, length, constantPool);
    this.bytes = bytes;
  }
  
  Deprecated(int nameIndex, int length, DataInput input, ConstantPool constantPool) throws IOException {
    this(nameIndex, length, (byte[])null, constantPool);
    if (length > 0) {
      this.bytes = new byte[length];
      input.readFully(this.bytes);
      println("Deprecated attribute with length > 0");
    } 
  }
  
  public void accept(Visitor v) {
    v.visitDeprecated(this);
  }
  
  public Attribute copy(ConstantPool constantPool) {
    org.apache.bcel.classfile.Deprecated c = (org.apache.bcel.classfile.Deprecated)clone();
    if (this.bytes != null)
      c.bytes = (byte[])this.bytes.clone(); 
    c.setConstantPool(constantPool);
    return c;
  }
  
  public void dump(DataOutputStream file) throws IOException {
    super.dump(file);
    if (getLength() > 0)
      file.write(this.bytes, 0, getLength()); 
  }
  
  public byte[] getBytes() {
    return this.bytes;
  }
  
  public void setBytes(byte[] bytes) {
    this.bytes = bytes;
  }
  
  public String toString() {
    return Const.getAttributeName(8) + ": true";
  }
}
